package cs

import (
	"fmt"
	"testing"
)

/**
 * 客服工单服务，单元测试
 */

// 获取faq树状数据
func TestGetFaq(t *testing.T) {
	client, newErr := NewClient()
	if newErr != nil {
		panic(newErr)
	}

	req := CreateGetFaqRequest()
	faq, err := client.GetFaq(req)
	if err != nil {
		t.Error(err)
		return
	}

	fmt.Printf(fmt.Sprintf("%#+v", faq))
}

// 获取玩家基本信息
func TestGetUserInfo(t *testing.T) {
	client, newErr := NewClient()
	if newErr != nil {
		panic(newErr)
	}
	req := CreateGetUserInfoRequest("ws45265737")
	info, err := client.GetUserInfo(req)
	if err != nil {
		t.Error(err)
		return
	}

	fmt.Printf(fmt.Sprintf("%v", info))
}
